# -*- coding: utf-8 -*-
from dspawpy.plot import plot_optical

plot_optical(
    datafile="dspawpy_proj/dspawpy_tests/inputs/2.12/scf.h5",
    keys=["ExtinctionCoefficient", "Reflectance"],
    axes=["X"],  # ["X", "Y", "Z", "XY", "YZ", "ZX"]
    prefix="dspawpy_proj/dspawpy_tests/outputs/us",  # 保存到哪个文件夹中，若为空，表示当前文件夹
)
# 以上函数将绘制并分别保存 ExtinctionCoefficient 和 Reflectance 的图像
# 如果需要将多个性质绘制在同一张图中，取消注释以下代码
# import os
# import matplotlib.pyplot as plt

# plt.tick_params(labelsize=16)
# plt.tight_layout()
# filename = (
#     "dspawpy_proj/dspawpy_tests/outputs/us/7optical.png"  # 输出的光学性质图文件名
# )
# os.makedirs(os.path.dirname(os.path.abspath(filename)), exist_ok=True)
# plt.savefig(filename, dpi=300)
# plt.show()
